### Method

# Secret Service read_alias_dbus_path

#### Declaration [src]

    void
    secret_service_read_alias_dbus_path (
      SecretService* self,
      const gchar* alias,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Lookup which collection is assigned to this alias.

Aliases help determine well known collections, such as ‘default’. This method looks up the dbus object path of the well known collection.

This method will return immediately and complete asynchronously.

Stability: Unstable

This method completes asynchronously. Use `secret_service_read_alias_dbus_path_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

This method is not directly available to language bindings.

#### Parameters

`alias`

  Type: `const gchar*`

  The alias to lookup.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.